Launch Media Pipeline
curl --request GET \
--url https://streaming.lingopal.ai/v1/rtmp_channel/{channel_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://streaming.lingopal.ai/v1/rtmp_channel/{channel_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://streaming.lingopal.ai/v1/rtmp_channel/{channel_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}RTMP Pipelines
Launch Media Pipeline (Get RTMP Channel)
Get RTMP channel info by channel_id.
GET
/
v1
/
rtmp_channel
/
{channel_id}
Launch Media Pipeline
Description
This endpoint retrieves information about a specific RTMP channel using its channel_id. Use this as part of the RTMP streaming workflow to check the status or details of your RTMP channel. See the Quickstart guide for more information.Authentication
This endpoint requires an API Key.Include your API key in the
x-api-key header:
x-api-key: YOUR_API_KEY
Request
- Method: GET
- Endpoint:
/v1/rtmp_channel/{channel_id} - Path Parameter:
channel_id(string, required): Channel ID
Response
- Status: 200 OK
- Content-Type:
application/json
"string"
Example Usage (cURL)
curl -X GET "https://streaming.lingopal-dev.com/v1/rtmp_channel/your-channel-id" \
-H "x-api-key: YOUR_API_KEY"